// SLIDER
function slideIt(slider, speedInterval, speedTransition, randomOrder, showCount) {
	var img = slider.find("img"),
		count = 0,
		imgCurrent = 1;

	if (randomOrder) {
		slider.each(function() {
			img.sort(function() {
				return Math.floor(Math.random() < 0.5);
			}).appendTo(slider);
		});
	}

	$("<div></div>", {
		"class": "slide-title",
	}).prependTo(slider);

	if (showCount) {
		$("<div></div>", {
			"class": "slide-count",
		}).prependTo(slider);
	}

	if ($(img[count]).data("title")) {
		$(".slide-title").text($(img[count]).data("title")).show();
	}

	$(".slide-count").text(imgCurrent + "/" + img.length);

	$(img[count]).show();

	setInterval(function() {
		var hasTitle = true,
			halfSpeedTransition = speedTransition / 2;

		if (!$(img[count]).data("title")) hasTitle = false;

		$(img[count]).fadeOut(speedTransition);

		count++;
		if (count >= img.length) count = 0;

		$(img[count]).fadeIn(speedTransition, function() {
			if (showCount) {
				imgCurrent++;
				if (imgCurrent > img.length) imgCurrent = 1;
				$(".slide-count").text(imgCurrent + "/" + img.length);
			}
		});

		if ($(img[count]).data("title")) {
			$(".slide-title").fadeOut(halfSpeedTransition, function() {
				var $t = $(this);

				$t.text($(img[count]).data("title"));
				if (hasTitle) {
					$t.fadeIn(halfSpeedTransition);
				} else {
					$t.delay(halfSpeedTransition).fadeIn(halfSpeedTransition);
				}
			});
		} else {
			$(".slide-title").fadeOut(halfSpeedTransition);					
		}
	}, speedInterval);
}

// RESIZE
function resizeIt(slider, amount) {
	var sliderW = slider.width(),
		img = slider.find("img");

	img.width(sliderW);

	if (sliderW <= amount) {
		img.css({
			"position": "absolute",
			"max-width": amount,
			"min-width": amount,
			"width": amount,
			"margin-left": -(amount / 2),
			"top": "0",
			"left": "50%"
		});
	} else {
		img.css({
			"position": "absolute",
			"max-width": "100%",
			"min-width": "100%",
			"width": "100%",
			"margin-left": "0",
			"top": "0",
			"left": "0"
		});				
	}

	slider.height(img.height());
}

$(window).resize(function() {
	resizeIt($("#slider"), 750);
});

$(window).load(function() {
	resizeIt($("#slider"), 750);
	slideIt($("#slider"), 4000, 500, false, true);
});